Page MenuHomePhabricator

[mlir] LLVMType: make getUnderlyingType private
ClosedPublic

Authored by ftynse on Jul 23 2020, 1:33 AM.

Details

Summary

The current modeling of LLVM IR types in MLIR is based on the LLVMType class
that wraps a raw llvm::Type * and delegates uniquing, printing and parsing to
LLVM itself. This is model makes thread-safe type manipulation hard and is
being progressively replaced with a cleaner MLIR model that replicates the type
system. In the new model, LLVMType will no longer have an underlying LLVM IR
type. Restrict access to this type in the current model in preparation for the
change.

Diff Detail

Event Timeline

ftynse created this revision.Jul 23 2020, 1:33 AM
nicolasvasilache accepted this revision.Jul 28 2020, 6:26 AM
This revision is now accepted and ready to land.Jul 28 2020, 6:26 AM
This revision was landed with ongoing or failed builds.Jul 29 2020, 4:43 AM
This revision was automatically updated to reflect the committed changes.